Index: plottools/src/danse/common/plottools/BaseInteractor.py
===================================================================
--- plottools/src/danse/common/plottools/BaseInteractor.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/BaseInteractor.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -22,5 +22,5 @@
         update() - draw the interactors
         
-    The following are provided by the base class: 
+    The following are provided by the base class:
     
         connect_markers(markers) - register callbacks for all markers
@@ -53,6 +53,8 @@
         Clear old markers and interfaces.
         '''
-        for h in self.markers: h.remove()
-        if self.markers: self.base.connect.clear(*self.markers)
+        for h in self.markers:
+            h.remove()
+        if self.markers:
+            self.base.connect.clear(*self.markers)
         self.markers = []
 
@@ -127,5 +129,5 @@
         the mouse leaves the window.
         """
-        inside, prop = self.axes.contains(ev)
+        inside, _ = self.axes.contains(ev)
         if inside:
             self.clickx, self.clicky = ev.xdata, ev.ydata
@@ -147,8 +149,12 @@
         elif ev.key in ['up', 'down', 'right', 'left']:
             dx, dy = self.dpixel(self.clickx, self.clicky, nudge=ev.control)
-            if ev.key == 'up': self.clicky += dy
-            elif ev.key == 'down': self.clicky -= dy
-            elif ev.key == 'right': self.clickx += dx
-            else: self.clickx -= dx
+            if ev.key == 'up':
+                self.clicky += dy
+            elif ev.key == 'down':
+                self.clicky -= dy
+            elif ev.key == 'right':
+                self.clickx += dx
+            else:
+                self.clickx -= dx
             self.move(self.clickx, self.clicky, ev)
         else:
@@ -172,3 +178,2 @@
         dx, dy = nx-x, ny-y
         return dx, dy
-
